<?php
error_reporting(0);
require_once('config.php');

/*
 * $_POST['customer']はアクセスしているユーザー固有のディレクトリ名で必須ですが
 * オープンな場所で使う場合はsessionやdbを使い、想定ルート以外からのアクセス
 * を拒否するよう設定した方が良いと思います。
 * また、$_POSTのサニタイズも考慮必要。
 * 
 */

if(isset($_POST['customer']) && $_POST['customer']){
	if(!isset($_POST['y']) || !$_POST['y']) $_POST['y'] = date('Y');
	if(!isset($_POST['m']) || !$_POST['m']) $_POST['m'] = date('m');
	
	$array = array();
	$upload_Dir = upload_dir_mane."{$_POST['customer']}/".$_POST['y']."/".$_POST['m']."/";;
	if(!is_dir( $upload_Dir ))
				exit;
	image_file_open($upload_Dir);
	rsort($array); //新しい順にソート、キーの維持無し
}else{
	return false;
}


header("Content-type: application/xml");
echo '<?xml version="1.0" encoding="UTF-8" ?> ' . "\n";
echo '<xml>'."\n"; 
echo '<items>'."\n";
$p=0;
foreach( $array AS $img ){
     echo '  <item>'."\n"; 
     echo '      <dir>'.$img['dir'].'</dir>'."\n"; 
     echo '      <name>'.$img['name'].'</name>'."\n"; 
     echo '      <time>'.$img['time'].'</time>'."\n"; 
		 echo '      <y>'.$img['y'].'</y>'."\n"; 
		 echo '      <m>'.$img['m'].'</m>'."\n"; 
		 echo '      <d>'.$img['d'].'</d>'."\n"; 
     echo '  </item>'."\n"; 
  $p++;
}
echo '</items>'."\n";
echo '</xml>'."\n"; 
exit;

function image_file_open($dir){
  global $array;
  $handle = opendir($dir);

  while (false !== ($file = readdir($handle))) {
    if($file != '.' AND $file !='..'){
      $dk_file = $dir.$file;
      
        if(is_dir($dk_file) === true){
          image_file_open($dk_file);
        }else{
					if( !preg_match("/thm_/",$file) )
						continue;
					
          //ファイルの更新時間を得る
            $mod      = filemtime($dir.$file);
            $uptime   = date("Y-m-d H:i",$mod);
						$y   = date("Y",$mod);
						$m   = date("m",$mod);
						$d   = date("d",$mod);
						
          //配列のキーは色々足してユニークに
            $key      = hash('SHA256',$dk_file.$file.time());
            $key      = mb_strimwidth($key, 0, 10, "", "UTF-8");
          
          //ファイルの位置をeditorから見た位置に変更
            $file_dir = $dir;
            $file_dir = str_replace(upload_dir_mane,upload_dir_editor,$file_dir);
						$file = str_replace("thm_","",$file);
            $array[$key] = array(
							'dir'=>$file_dir,
							'name'=>$file,
							'time'=>$uptime,
							'y'=>$y,
							'm'=>$m,
							'd'=>$d,
            );
        }
      
    }
  }
  closedir($handle);
}
